Add assignment preference
This endpoint adds an assignment program preference
Authorizations
General API key with at least read-only access
Authentication string
Query Parameters
Type of contract for the assignment program preference. Options can be found in the 'accounts' structure in the Get Wallets /accounts response
A specific contract for this assignment program preference. Required for "flex" contracts if base/quote currencies are not included.
The maximum size for an assignment
The maximum position
Accept to take long positions
Accept to take short positions
When is the program preference valid
enabled assignment
Response
- Success Response
- Errors
{
"contractType": "flex",
"contract": "PF_BTCUSD",
"maxPosition": 10,
"maxSize": 10,
"acceptLong": true,
"acceptShort": true,
"timeFrame": "weekdays",
"enabled": true
}success "success"
Server time in Coordinated Universal Time (UTC)
"2020-08-27T17:03:33.196Z"